## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TransferableTreeNode

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TransferableTreeNode

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.TransferableTreeNode

extends java.lang.Object
implements java.awt.datatransfer.Transferable

Transferable tree node.

Field Summary
`protected DOMDocumentTree.TransferData` `data` The data being transfered.
`protected static java.awt.datatransfer.DataFlavor[]` `FLAVORS` The supported flavors.
`protected static java.awt.datatransfer.DataFlavor` `NODE_FLAVOR` A flavor that supports the node transfer.

Constructor Summary
`DOMDocumentTree.TransferableTreeNode(DOMDocumentTree.TransferData data)`

Method Summary
`java.lang.Object` `getTransferData(java.awt.datatransfer.DataFlavor flavor)` Data that is being transfered.
`java.awt.datatransfer.DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)` Checks if the given date flavor is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_FLAVOR

    protected static final java.awt.datatransfer.DataFlavor NODE_FLAVOR

  A flavor that supports the node transfer.

### FLAVORS

    protected static final java.awt.datatransfer.DataFlavor[] FLAVORS

  The supported flavors.

### data

    protected DOMDocumentTree.TransferData data

  The data being transfered.

Constructor Detail

### DOMDocumentTree.TransferableTreeNode

    public DOMDocumentTree.TransferableTreeNode(DOMDocumentTree.TransferData data)

Method Detail

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Checks if the given date flavor is supported.

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - DataFlavor
  Returns:
    boolean

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)

  Data that is being transfered.

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - DataFlavor
  Returns:
    (TransferData data, String xmlString)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.